#pragma once

#include <QMainWindow>
#include <vector>

class Project;

namespace Ui
{
   class Menu;
}

class Menu : public QMainWindow
{
   Q_OBJECT

public:
   explicit Menu(QWidget *parent = nullptr);
   ~Menu();

public slots:
   void mapNew();
   void mapOpen();
   void openAbout();
   void openMapProperties();

private:
   QSharedPointer<Ui::Menu> ui;
   std::vector<QSharedPointer<Project>> projects;
};

// EOF
