#include "tycho.h"
#include "mapprops.h"
#include "../ui/ui_mapprops.h"

#include <QDialogButtonBox>

MapProps::MapProps(QWidget *parent) :
   QDialog(parent),
   ui(new Ui::MapProps)
{
   ui->setupUi(this);

   setModal(true);

   auto bbox = new QDialogButtonBox(this);
   bbox->setStandardButtons(QDialogButtonBox::Cancel | QDialogButtonBox::Ok);
   ui->verticalLayout->addWidget(bbox);

   connect(bbox, SIGNAL(accepted()), this, SLOT(accept()));
   connect(bbox, SIGNAL(rejected()), this, SLOT(reject()));

   dbgPrintFunc();
}

MapProps::~MapProps()
{
   dbgPrintFunc();
}

// EOF
